Bug 206909 - The Package updater isn't threadsafe
The Package updater isn't threadsafe
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-packages (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 21:50 EDT by pavels
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 13:05:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The package updater doesn't redraw (1.56 MB, image/bmp)
2006-09-17 21:50 EDT, pavels
no flags Details

  None (edit)
Description pavels 2006-09-17 21:50:28 EDT
The Package updater isn't threadsafe. When you lose focus to application and
restore - the application screen doesn't redraw until the current package is
installed.
Comment 1 pavels 2006-09-17 21:50:30 EDT
Created attachment 136502 [details]
The package updater doesn't redraw
Comment 2 Jeremy Katz 2006-09-18 13:05:40 EDT
It's not threaded at all as trying to do RPM operations from threads isn't
entirely safe.  I've made some changes in the devel tree to keep things as
responsive as possible while avoiding the possibility of corrupting your rpm
database :)

Note You need to log in before you can comment on or make changes to this bug.